summaryrefslogtreecommitdiffstats
path: root/source/kde/polkit-qt-1
diff options
context:
space:
mode:
Diffstat (limited to 'source/kde/polkit-qt-1')
-rw-r--r--source/kde/polkit-qt-1/local.options3
-rwxr-xr-xsource/kde/polkit-qt-1/polkit-qt-1.SlackBuild4
-rw-r--r--source/kde/polkit-qt-1/polkit-qt-1.null-checking.diff14
-rw-r--r--source/kde/polkit-qt-1/pull-polkit-qt-16
4 files changed, 25 insertions, 2 deletions
diff --git a/source/kde/polkit-qt-1/local.options b/source/kde/polkit-qt-1/local.options
index c40c7ac4c..80b46a0a9 100644
--- a/source/kde/polkit-qt-1/local.options
+++ b/source/kde/polkit-qt-1/local.options
@@ -1,2 +1,3 @@
#VERSION=0.95.1
-VERSION=r1118744
+VERSION=r1145513
+BUILD=2
diff --git a/source/kde/polkit-qt-1/polkit-qt-1.SlackBuild b/source/kde/polkit-qt-1/polkit-qt-1.SlackBuild
index 646b6ebb0..c2126b957 100755
--- a/source/kde/polkit-qt-1/polkit-qt-1.SlackBuild
+++ b/source/kde/polkit-qt-1/polkit-qt-1.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -48,6 +48,8 @@ echo "Building polkit-qt-1-$VERSION..."
tar xvf $CWD/../src/polkit-qt-1-$VERSION.tar.?z* || exit 1
cd polkit-qt-1-$VERSION
+zcat $CWD/polkit-qt-1.null-checking.diff.gz | patch -p0 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/kde/polkit-qt-1/polkit-qt-1.null-checking.diff b/source/kde/polkit-qt-1/polkit-qt-1.null-checking.diff
new file mode 100644
index 000000000..0ec2a8e38
--- /dev/null
+++ b/source/kde/polkit-qt-1/polkit-qt-1.null-checking.diff
@@ -0,0 +1,14 @@
+Index: agent/polkitqt1-agent-listener.cpp
+===================================================================
+--- agent/polkitqt1-agent-listener.cpp (revision 1183495)
++++ agent/polkitqt1-agent-listener.cpp (working copy)
+@@ -66,7 +66,8 @@
+ qDebug("Destroying listener");
+
+ ListenerAdapter::instance()->removeListener(this);
+- g_object_unref(d->listener);
++ if (d->listener != NULL)
++ g_object_unref(d->listener);
+ }
+
+ bool Listener::registerListener(PolkitQt1::Subject *subject, const QString &objectPath)
diff --git a/source/kde/polkit-qt-1/pull-polkit-qt-1 b/source/kde/polkit-qt-1/pull-polkit-qt-1
new file mode 100644
index 000000000..42d648777
--- /dev/null
+++ b/source/kde/polkit-qt-1/pull-polkit-qt-1
@@ -0,0 +1,6 @@
+rm -rf polkit-qt-1
+git clone git://anongit.kde.org/polkit-qt-1
+( cd polkit-qt-1 && rm -rf .git* )
+mv polkit-qt-1 polkit-qt-1-$(date +%Y%m%d)git
+tar cf polkit-qt-1-$(date +%Y%m%d)git.tar polkit-qt-1-$(date +%Y%m%d)git
+xz -9 polkit-qt-1-$(date +%Y%m%d)git.tar